> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kimp360.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Task

> Retrieves a specific task by ID.

## Get Card

```http theme={null}
GET /api/card/{id} HTTP/1.1
Content-Type: application/json
```

Path parameter: `id` – required card identifier.

**Response:**

```json theme={null}
{
  "status": 200,
  "data": {
    "id": "string",
    "title": "string",
    "status": { "id": "string", "name": "string" }
  },
  "error": null,
  "message": null
}
```


## OpenAPI

````yaml get /card/{id}
openapi: 3.0.0
info:
  title: KIMP360 API
  version: 1.0.0
servers:
  - url: https://api.kimp360.com
security:
  - ApiKeyAuth: []
paths:
  /card/{id}:
    get:
      summary: Get Task
      description: Retrieves a specific task by ID.
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
          description: Task ID
      responses:
        '200':
          description: A task object
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/Task'
components:
  schemas:
    Task:
      type: object
      properties:
        id:
          type: string
        title:
          type: string
        description:
          type: string
        product_type:
          type: string
        dimensions:
          type: string
        labels:
          type: string
        tags:
          type: string
        text_copy:
          type: string
        file_formats:
          type: string
        software:
          type: string
        created_at:
          type: string
        updated_at:
          type: string
        request_type:
          type: string
          nullable: true
        created_by:
          type: string
          nullable: true
        due_date:
          type: string
          nullable: true
        status:
          $ref: '#/components/schemas/TaskStatus'
        files:
          type: array
          items:
            $ref: '#/components/schemas/File'
        brand:
          type: string
          nullable: true
    TaskStatus:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        color:
          type: string
    File:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        ext:
          type: string
        urls:
          type: object
          properties:
            full:
              type: string
            large:
              type: string
            medium:
              type: string
            small:
              type: string
        type:
          type: string
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````